<?php
/*
 * Plugin Name: Facebook iLike
 * Plugin URI: http://tierra-innovation.com/wordpress-cms/plugins/facebook-ilike/
 * Description: Facebook iLike is a powerful tool that allows you to utilize the new "Facebook Like" functionality within your WordPress install.
 * Version: 1.1
 * Author: Tierra Innovation
 * Author URI: http://www.tierra-innovation.com/
 */

/*
 * This plugin is currently available for use in all personal
 * or commercial projects under both MIT and GPL licenses. This
 * means that you can choose the license that best suits your
 * project, and use it accordingly.
 *
 * MIT License: http://www.tierra-innovation.com/license/MIT-LICENSE.txt
 * GPL2 License: http://www.tierra-innovation.com/license/GPL-LICENSE.txt
 */

/*********/
/* SETUP */
/*********/

global $post;

/* Initialize the options class */
$ti_fbl_options = new stdClass();
$ti_fbl_options->self = array();
$ti_fbl_options->default = array();

/* Include the functions */
require_once('facebook-ilike-functions.php');

/* Set the default options if we're not adding a new post */
if ($_SERVER['REQUEST_URI'] !== "/wp-admin/post-new.php" && $_SERVER['REQUEST_URI'] !== "/wp-admin/page-new.php")
{
	get_ti_fbl_options();
}


/*************/
/* FRONT END */
/*************/

/* Set the meta tags */
add_action('wp_head', 'ti_fbl_meta', 1);

/* Replace the 'facebook_ilike' shortcode with a button */
add_shortcode('facebook_ilike', 'ti_fbl_render_button');

/* Remove shortcode from RSS */
add_action('the_excerpt_rss', 'ti_fbl_remove_shortcode_from_rss');
add_action('the_content_rss', 'ti_fbl_remove_shortcode_from_rss');


/************/
/* BACK END */
/************/

/* Add the admin menu item */
add_action('admin_menu', 'modify_ti_fbl_menu');

/* Use the admin_menu action to define the custom boxes */
add_action('admin_menu', 'ti_fbl_add_custom_box');

/* Use the save_post action to add/update saved data */
add_action('save_post', 'ti_fbl_save_postdata');

/* Add an edit box to post/page add/edit screens */
add_action('edit_post', 'ti_fbl_add_custom_box');
add_action('publish_post', 'ti_fbl_add_custom_box');
add_action('save_post', 'ti_fbl_add_custom_box');
add_action('edit_form_advanced', 'ti_fbl_add_custom_box');


/*********************/
/* INSTALL/UNINSTALL */
/*********************/

/* Registration Hooks */
register_activation_hook(__FILE__,'initialize_ti_fbl_options');
register_deactivation_hook(__FILE__,'unset_ti_fbl_options');

?>